summaryrefslogtreecommitdiffstats
path: root/source/ap
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap')
-rwxr-xr-xsource/ap/inxi/fetch-inxi.sh2
-rw-r--r--source/ap/lxc/lxc-slackware.in16
-rwxr-xr-xsource/ap/lxc/lxc.SlackBuild78
3 files changed, 53 insertions, 43 deletions
diff --git a/source/ap/inxi/fetch-inxi.sh b/source/ap/inxi/fetch-inxi.sh
index 8750c0bd5..cf75d93f7 100755
--- a/source/ap/inxi/fetch-inxi.sh
+++ b/source/ap/inxi/fetch-inxi.sh
@@ -24,7 +24,7 @@
PKGNAM=inxi
# Pull a stable branch + patches
-BRANCH=${1:-3.3.34-1}
+BRANCH=${1:-3.3.35-1}
# Clear download area:
rm -rf ${PKGNAM}
diff --git a/source/ap/lxc/lxc-slackware.in b/source/ap/lxc/lxc-slackware.in
index 422fa1d82..a3d53f889 100644
--- a/source/ap/lxc/lxc-slackware.in
+++ b/source/ap/lxc/lxc-slackware.in
@@ -146,6 +146,11 @@ sed -i "s,pg::powerokwait:/sbin/genpowerfail stop,pg::powerokwait:/sbin/shutdown
# create the library symlinks
chroot $rootfs ldconfig
+# Make sure that the certificate links are updated:
+if [ -x $rootfs/usr/sbin/update-ca-certificates ]; then
+ chroot $rootfs /bin/bash -c "LC_ALL=C /usr/sbin/update-ca-certificates"
+fi
+
# set a default combination for the luggage
echo "root:root" | chroot $rootfs chpasswd 2> /dev/null
echo "Root default password is 'root', please change it!"
@@ -238,6 +243,7 @@ bash
bin
bridge-utils
bzip2
+ca-certificates
coreutils
cracklib
cyrus-sasl
@@ -255,18 +261,24 @@ etc
eudev
findutils
gawk
+glibc-zoneinfo
gnupg2
gnutls
grep
gzip
hostname
+icu4c
iproute2
iptables
iputils
kmod
less
+libassuan
libcap-ng
libffi
+libgcrypt
+libgpg-error
+libksba
libmnl
libnl3
libpcap
@@ -280,16 +292,20 @@ net-tools
nettle
network-scripts
ncurses
+npth
pam
openssh
+openssl
openssl-solibs
p11-kit
+perl
pkgtools
procps-ng
sed
shadow
sharutils
slackpkg
+sqlite
sysklogd
sysvinit
sysvinit-functions
diff --git a/source/ap/lxc/lxc.SlackBuild b/source/ap/lxc/lxc.SlackBuild
index 69951be5f..5ff884502 100755
--- a/source/ap/lxc/lxc.SlackBuild
+++ b/source/ap/lxc/lxc.SlackBuild
@@ -27,7 +27,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=lxc
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | rev | cut -f 2- -d -)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -81,45 +81,38 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-# Our python package is not split:
-#sed -i "s|PKG_CHECK_MODULES(\[PYTHONDEV.*||" configure.ac || exit 1
-
-if [ ! -r configure ]; then
- NOCONFIGURE=1 ./autogen.sh
-fi
-
-# Enable python stuff only if python3 is installed.
-python=""
-# Python bindings don't seem to be part of the standard package at this time,
-# so we'll comment this next line out for now:
-#[ -x /usr/bin/python3 ] && export PYTHON=/usr/bin/python3 && python="--enable-python"
-
-# Configure:
-# lua is autodetected
-CFLAGS="$SLKCFLAGS -Wno-error=incompatible-pointer-types" \
-./configure \
+# Configure, build, and install:
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
--prefix=/usr \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
--sysconfdir=/etc \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
--localstatedir=/var \
- --mandir=/usr/man \
- --docdir=/usr/doc/$PKGNAM-$VERSION \
- --infodir=/usr/info \
- --with-global-conf=/etc/lxc/lxc.conf \
- --with-rootfs-path=/var/lib/rootfs-lxc \
- --disable-werror \
- --disable-apparmor \
- --disable-static \
- $python \
- --enable-pam \
- --build=$ARCH-slackware-linux || exit 1
-
-# Build and install:
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
-
-# Don't ship .la files:
-rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.la
+ --buildtype=release \
+ -Ddoc-path=/usr/doc/$PKGNAM-$VERSION \
+ -Dglobal-config-path=/etc/lxc \
+ -Drootfs-mount-path=/var/lib/rootfs-lxc \
+ -Dapparmor=false \
+ -Dpam-cgroup=true \
+ -Dinit-script=sysvinit \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
+
+# The PAM module gets installed in the wrong location and there's no config
+# option to put it in the right place, so we'll do it ourselves:
+mkdir -p $PKG/lib${LIBDIRSUFFIX}
+mv $PKG/usr/lib${LIBDIRSUFFIX}/security $PKG/lib${LIBDIRSUFFIX}
# Add the template file:
cat $CWD/lxc-slackware.in > $PKG/usr/share/lxc/templates/lxc-slackware
@@ -138,10 +131,11 @@ mv $PKG/etc/default/lxc $PKG/etc/default/lxc.new
# Install an init script (non executable by default):
install -D -m 0644 $CWD/rc.lxc $PKG/etc/rc.d/rc.lxc.new
-# Put bash completion files in system directory:
-mkdir -p $PKG/usr/share/bash-completion/completions
-mv $PKG/etc/bash_completion.d/* $PKG/usr/share/bash-completion/completions
-rm -r $PKG/etc/bash_completion.d
+# Remove init scripts that we do not use:
+rm -r $PKG/etc/init.d
+
+# --disable-static
+rm -f $PKG/usr/lib${LIBDIRSUFFIX}/lib*.a
# Strip binaries:
( cd $PKG
@@ -152,7 +146,7 @@ rm -r $PKG/etc/bash_completion.d
# Add a documentation directory:
mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
cp -a \
- AUTHORS* CONTRIBUTING* COPYING* INSTALL* MAINTAINERS* NEWS* README* TODO* \
+ AUTHORS* CODING_STYLE* CONTRIBUTING* COPYING* LICENSE* MAINTAINERS* README* \
doc/FAQ.txt \
$PKG/usr/doc/${PKGNAM}-$VERSION